[Risolto] Aggiornamento Debian: errore

Informazioni, consigli e novità sulla galassia delle distribuzioni GNU/Linux, *nix, *BSD e su altri sistemi operativi non liberi.

[Risolto] Aggiornamento Debian: errore

Messaggioda PedroTheMovie » sabato 24 marzo 2012, 12:17

Stavo aggiornando con apt-get upgrade e ho lasciato il pc per un ora e mezza.
Al mio ritorno, vedo che apt ha aperto una schermata nel terminale dove c'era scritto che il driver non corrispondevano al modulo del kernel.
Clicco lo start ma non succede nulla. Chiudo il terminale e ne apro un altro.
Faccio apt-get upgrade ma ecco l'errore:
Codice: Seleziona tutto
@debian:~$ sudo apt-get upgrade
[sudo] password for nirunco:
Sorry, try again.
[sudo] password for nirunco:
E: Impossibile impostare il blocco /var/lib/dpkg/lock - open (11: Risorsa temporaneamente non disponibile)
E: Impossibile acquisire il blocco sulla directory di amministrazione (/var/lib/dpkg/). Un altro processo potrebbe tenerla occupata.

Che faccio? :o
EDIT: Dopo aver riavviato il pc:
Codice: Seleziona tutto
@debian:~$ sudo apt-get upgrade
[sudo] password for nirunco:
Sorry, try again.
[sudo] password for nirunco:
E: dpkg è stato interrotto. È necessario eseguire "sudo dpkg --configure -a" per correggere il problema.
nirunco@debian:~$ sudo dpkg --configure -a
Elaborazione dei trigger per menu...
Configurazione di libgl1-nvidia-glx:amd64 (295.33-1)...
Configurazione di xserver-xorg-video-nvidia (295.33-1)...
Configurazione di nvidia-glx (295.33-1)...
Nessuna deviazione "deviazione di /usr/lib/xorg/modules/extensions/libGLcore.so in /usr/lib/nvidia/libGLcore.so.xlibmesa da nvidia-glx", nessuna rimossa.
Nessuna deviazione "deviazione di /usr/lib/xorg/modules/extensions/libGLcore.a in /usr/lib/nvidia/libGLcore.a.xlibmesa da nvidia-glx", nessuna rimossa.
Nessuna deviazione "deviazione di /usr/lib/xorg/modules/extensions/libglx.a in /usr/lib/nvidia/libglx.a.xlibmesa da nvidia-glx", nessuna rimossa.
Configurazione di libreoffice-style-galaxy (1:3.4.6-2)...
Configurazione di libreoffice-style-oxygen (1:3.4.6-2)...
Configurazione di libreoffice-common (1:3.4.6-2)...
Configurazione di libreoffice-core (1:3.4.6-2)...
Configurazione di libreoffice-java-common (1:3.4.6-2)...
Configurazione di libreoffice-filter-mobiledev (1:3.4.6-2)...
Elaborazione dei trigger per libreoffice-common...
Updating services.rdb...
done.
Configurazione di libreoffice-math (1:3.4.6-2)...
Configurazione di libreoffice-base-core (1:3.4.6-2)...
Configurazione di libreoffice-filter-binfilter (1:3.4.6-2)...
Configurazione di libreoffice-base (1:3.4.6-2)...
Configurazione di libreoffice-report-builder-bin (1:3.4.6-2)...
Configurazione di libreoffice-kde (1:3.4.6-2)...
Configurazione di python-uno (1:3.4.6-2)...
Configurazione di libreoffice-draw (1:3.4.6-2)...
Configurazione di libreoffice-calc (1:3.4.6-2)...
Configurazione di libreoffice-impress (1:3.4.6-2)...
Configurazione di libreoffice-writer (1:3.4.6-2)...
Configurazione di libreoffice-help-it (1:3.4.6-2)...
Configurazione di libreoffice-help-en-us (1:3.4.6-2)...
Configurazione di libreoffice (1:3.4.6-2)...
Elaborazione dei trigger per libreoffice-common...
Synchronizing repository for bundled extensions
 

                                                                                                                                                                        
 Enabling: Script provider for Python                                                                                                                                  
  Enabling: pythonscript.py                                                                                                                                            

unopkg done.
Configurazione di libreoffice-emailmerge (1:3.4.6-2)...
Elaborazione dei trigger per glx-alternative-mesa...
Elaborazione dei trigger per menu...
nirunco@debian:~$ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati mantenuti alla versione attuale:
  krita lib32gcc1 lib32stdc++6 libgcc1 libgfortran3 libgomp1 libquadmath0 libstdc++6
0 aggiornati, 0 installati, 0 da rimuovere e 8 non aggiornati.
nirunco@debian:~$ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati mantenuti alla versione attuale:
  krita lib32gcc1 lib32stdc++6 libgcc1 libgfortran3 libgomp1 libquadmath0 libstdc++6
0 aggiornati, 0 installati, 0 da rimuovere e 8 non aggiornati.

Non riesco ad eseguire l'upgrade... soluzioni? D:

RE-EDIT (parlo da solo (mad) :
Ho eseguito apt-get dist-upgrade e poi sono riuscito a fare upgrade ma Krita non ne vuole sapere di aggiornarsi. Vabbè, metto [risolto] dato che di krita non mi interessa granché
Ultima modifica di Anonymous il sabato 24 marzo 2012, 12:28, modificato 1 volta in totale.
"L'unico computer sicuro, è un computer spento" [cit.]
http://stallman.org/no-facebook-200x64.png
Avatar utente
PedroTheMovie Maschile
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 359
Iscrizione: febbraio 2010
Località: Trieste
Distribuzione: Arch
Desktop: KDE

Torna a Altre distribuzioni e sistemi operativi

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 5 ospiti